Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 591433

Summary: Review Request: R-hgu133acdf - HG-U133A.cdf data file
Product: [Fedora] Fedora Reporter: Sandro Mathys <sandro>
Component: Package ReviewAssignee: Pierre-YvesChibon <pingou>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, lemenkov, notting, pingou
Target Milestone: ---Flags: pingou: fedora-review+
dennis: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: R-hgu133acdf-2.6.0-1.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-05-19 19:14:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 591447    

Description Sandro Mathys 2010-05-12 09:00:53 UTC
Spec URL: http://red.fedorapeople.org/SRPMS/R-hgu133acdf.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/R-hgu133acdf-2.6.0-1.fc12.src.rpm
Description: 
Environment representing the HG-U133A.cdf file.

rpmlint {SPECS,SRPMS,RPMS/noarch}/R-hgu133acdf*
R-hgu133acdf.src: W: spelling-error Summary(en_US) cdf -> cf, Cd, CDT
R-hgu133acdf.src: W: spelling-error %description -l en_US cdf -> cf, Cd, CDT
R-hgu133acdf.noarch: W: spelling-error Summary(en_US) cdf -> cf, Cd, CDT
R-hgu133acdf.noarch: W: spelling-error %description -l en_US cdf -> cf, Cd, CDT
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

All warnings can be safely ignored.

Comment 1 Peter Lemenkov 2010-05-13 08:02:59 UTC
Sandro, I'm sure that it would be better for stupid guys like me to hear something about what does 'HG-U133A' acronym stand for? The same question should be applied to the ticket #591435.

Nothing personal here, but I would like to know what kind of stuff people is pusiong into Fedora.

Comment 2 Sandro Mathys 2010-05-13 15:41:50 UTC
(In reply to comment #1)
> Sandro, I'm sure that it would be better for stupid guys like me to hear
> something about what does 'HG-U133A' acronym stand for?

HG-U133A is a chip type. I *think* HG means Human Genome but this package really is about the data file for that chip type and therefore I think this should be clear enough.

Comment 3 Pierre-YvesChibon 2010-05-18 06:53:49 UTC
* Latest version packaged
46d77ed4521cb1de467e203ed6fa5fa0893eea2d  hgu133acdf_2.6.0.tar.gz
46d77ed4521cb1de467e203ed6fa5fa0893eea2d  /home/pierrey/rpmbuild/SOURCES/hgu133acdf_2.6.0.tar.gz
* sha1sum are equals
* All required Requires are present
* All required BuildRequires are present
* There is 1 %dir
  %dir is OK
* There is 2 %doc
  %doc is OK
* The rpm installed in _datadir
* The rpm seems to have the required element in %install
* The rpm uses %{_datadir} and is noarch
rpmbuild -ba /home/pierrey/rpmbuild/SPECS/R-hgu133acdf.spec > R-hgu133acdf.spec-build.log 2>&1 
* Build properly under 2.6.33.2-57.fc13.x86_64
* rpmlint:
R-hgu133acdf.src: W: spelling-error Summary(en_US) cdf -> cf, Cd, CDT
R-hgu133acdf.src: W: spelling-error %description -l en_US cdf -> cf, Cd, CDT
R-hgu133acdf.noarch: W: spelling-error Summary(en_US) cdf -> cf, Cd, CDT
R-hgu133acdf.noarch: W: spelling-error %description -l en_US cdf -> cf, Cd, CDT
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
Scratch build on koji for target f14
* Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2193501
   0 free  0 open  2 done  0 failed
   2193501 build (dist-f14, R-hgu133acdf-2.6.0-1.fc12.src.rpm) completed successfully

* Build is clean
* %check is present
* All check pass successfully
* License LGPLv2+ is compatible with Fedora

** APPROVED **

Comment 4 Sandro Mathys 2010-05-18 07:06:34 UTC
Thanks for the review Pierre-Yves!

New Package CVS Request
=======================
Package Name: R-hgu133acdf
Short Description: HG-U133A.cdf data file
Owners: red
Branches: F-12 F13
InitialCC:

Comment 5 Dennis Gilmore 2010-05-18 18:19:27 UTC
CVS Done

Comment 6 Fedora Update System 2010-05-18 19:10:46 UTC
R-hgu133acdf-2.6.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/R-hgu133acdf-2.6.0-1.fc12

Comment 7 Fedora Update System 2010-05-18 19:15:44 UTC
R-hgu133acdf-2.6.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/R-hgu133acdf-2.6.0-1.fc13

Comment 8 Fedora Update System 2010-05-19 19:14:38 UTC
R-hgu133acdf-2.6.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-05-19 19:18:29 UTC
R-hgu133acdf-2.6.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.